# Persian Datepicker for AngularJS Material

The datepicker component from [AngularJS Material](https://github.com/angular/material) tweaked to take dates in the Persian (Jalaali) calendar system, using [moment-jalaali](https://github.com/jalaali/moment-jalaali).

## Installation

You may use bower or npm:

#### Bower

```
$ bower install angular-material-persian-datepicker --save
```

#### Npm

```
$ npm install angular-material-persian-datepicker --save
```

### Add references to your html

Load the js and css files in your html:

```html
    <link rel="stylesheet" href="/node_modules/angular-material/angular-material.css">
    <link rel="stylesheet" href="/src/components/persian-datepicker/datePicker.css">

    <script src="/node_modules/angular/angular.js"></script>
    <script src="/node_modules/angular-animate/angular-animate.js"></script>
    <script src="/node_modules/angular-aria/angular-aria.js"></script>
    <script src="/node_modules/angular-messages/angular-messages.js"></script>
    <script src="/node_modules/angular-material/angular-material.js"></script>
    <script src="/node_modules/moment/min/moment.min.js"></script>
    <script src="/node_modules/moment-jalaali/build/moment-jalaali.js"></script>

    <script src="/src/components/persian-datepicker/datePicker.js"></script>
    <script src="/src/components/persian-datepicker/js/calendar.js"></script>
    <script src="/src/components/persian-datepicker/js/calendarMonth.js"></script>
    <script src="/src/components/persian-datepicker/js/calendarMonthBody.js"></script>
    <script src="/src/components/persian-datepicker/js/calendarYear.js"></script>
    <script src="/src/components/persian-datepicker/js/calendarYearBody.js"></script>
    <script src="/src/components/persian-datepicker/js/dateLocaleProvider.js"></script>
    <script src="/src/components/persian-datepicker/js/datepickerDirective.js"></script>
    <script src="/src/components/persian-datepicker/js/dateUtil.js"></script>
```

### Add module dependency

Add the `angular-material-persian-datepicker` dependency to your angular module:

```js
angular.module('app', [
  'angular-material-persian-datepicker'
 ]);
```

### Directive Usage

```html
	<md-persian-datepicker ng-model="birthday"></md-persian-datepicker>
```

`birthday` should be a native javascript Date object. Refer to original component's [documentation](https://material.angularjs.org/latest/api/directive/mdDatepicker) for other available options.
